Update metadata instance on folder
Updates a piece of metadata on a folder.
The metadata instance can only be updated if the template has already been applied to the folder before. When editing metadata, only values that match the metadata template schema will be accepted.
The update is applied atomically. If any errors occur during the application of the operations, the metadata instance will not be changed.
Authorizations
Path Parameters
The unique identifier that represent a folder.
The ID for any folder can be determined by visiting this folder in the web application and copying the ID from the URL. For example, for the URL https://*.app.box.com/folder/123 the folder_id is 123.
The root folder of a Box account is always represented by the ID 0.
Body
The location in the metadata JSON object to apply the changes to, in the format of a JSON-Pointer.
The path must always be prefixed with a / to represent the root of the template. The characters ~ and / are reserved characters and must be escaped in the key.
"/currentState"
The value to be set or tested.
Required for add, replace, and test operations. For add, if the value exists already the previous value will be overwritten by the new value. For replace, the value must exist before replacing.
For test, the existing value at the path location must match the specified value.
"reviewed"
The location in the metadata JSON object to move or copy a value from. Required for move or copy operations and must be in the format of a JSON-Pointer.
"/nextState"
Response
Returns the updated metadata template instance, with the custom template data included.
An instance of a metadata template, which has been applied to a file or folder.
